#
# spec file for package brp-extract-appdata
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           brp-extract-appdata
Version:        2012.02.13
Release:        24.2
Summary:        Extract appdata.xml
License:        MIT
Group:          Development/Tools/Building
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}.pl
Source1:        create-appdata-xml.pl
Source2:        extract-icons.pl
BuildArch:      noarch

%description
Extract appdata.xml from all .deskop files found in build root

%package -n extract-appdata-icons
Summary:        A little perl script to split appdata.xml
Group:          Development/Tools/Building
Requires:       perl(XML::Simple)

%description -n extract-appdata-icons
OBS generated appdata.xml contains all icons and this little tool splits
the XML into the format expected from software center

%prep

%build

%install
install -m0755 -D %SOURCE0 $RPM_BUILD_ROOT%_rpmconfigdir/brp-suse.d/brp-72-extract-appdata
install -m0755 -D %SOURCE1 $RPM_BUILD_ROOT/usr/lib/build/checks/72-translate-appdata
install -m0755 -D %SOURCE2 $RPM_BUILD_ROOT/usr/bin/extract-appdata-icons

%files
%defattr(-,root,root)
%_rpmconfigdir/brp-suse.d
/usr/lib/build

%files -n extract-appdata-icons
%defattr(-,root,root)
/usr/bin/extract-appdata-icons

%changelog
* Mon May  4 2015 dimstar@opensuse.org
- Sort the array of icons to be added to appdata.xml: this has the
  nice side-effect that the resulting appdata.xml are reproducible.
* Wed Apr  8 2015 dimstar@opensuse.org
- Bump appstream metadata to version 0.8, in order to attempt to
  get more often valid metadata. The general structure for
  AppStream version 0.6+ is wrapped in <component></components>
  (<application was up to version 0.5). As we wrap simple 'appdata'
  we can actually simply replace application=>component (stuff that
  was introduced later would already have to be component anyway).
* Mon Feb  2 2015 mls@suse.de
- add workaround so that components generate valid xml
* Thu Feb 27 2014 mls@suse.de
- rewrite brp-extract-appdata.pl and create-appdata-xml.pl so that
  it does not invent appdata files, but just patches the missing
  information into the files
* Thu Jan  9 2014 coolo@suse.com
- do not mount or umount /proc - the build script handles that
* Mon Sep 30 2013 dimstar@opensuse.org
- Two minor fixes in brp-extract-appdata.pl:
  + Perl treats variables case sensitive: be consistent with
    $basedir.
  + Allow Icon= in .desktop files to have a file extension.
* Mon Sep 30 2013 dimstar@opensuse.org
- Change icon type from local to cached: 'local' means the icon
  lives in the installed filesystem; meta data provided icons land
  in the appstream icon cache.
* Tue Sep 24 2013 dimstar@opensuse.org
- Make the appdata.xml contain full icon names, incl. suffix; speed
  up gnome-software startup for not having to guess what we know
  here already.
* Thu Oct  4 2012 aj@suse.de
- Mount /proc in post-build-check to avoid rpm warnings.
* Mon Mar 19 2012 coolo@suse.com
- remove the icon tag if there is no icon
* Thu Mar 15 2012 coolo@suse.com
- fix XML structure of generated files
* Sun Mar 11 2012 coolo@suse.com
- add required perl modules
* Wed Mar  7 2012 coolo@suse.com
- adding extract-icons.pl script to be called for kiwi products
* Thu Mar  1 2012 coolo@suse.com
- make the brp script a perl script too and let it find icons
* Wed Feb 22 2012 coolo@suse.com
- changed my mind - use rpmname as part of the xml filename
  to simplify all kind of tasks
* Mon Feb 20 2012 coolo@suse.com
- fix two desktop files in one rpm
* Fri Feb 17 2012 coolo@suse.com
- do not output nodisplay=true .desktop files
- avoid empty <applications/>
* Fri Feb 17 2012 coolo@suse.com
- remove /usr/share/applications/ prefix
* Thu Feb 16 2012 coolo@suse.com
- fix output filename
* Thu Feb 16 2012 coolo@suse.com
- adding an escape function to please vuntz
* Tue Feb 14 2012 coolo@suse.com
- initial package
